Bug 448068 - sfwdec plugin renders flash animation incorrectly
sfwdec plugin renders flash animation incorrectly
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: swfdec-mozilla (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-23 06:22 EDT by Joachim Frieben
Modified: 2018-04-11 13:44 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 06:38:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Clock screenshot at 10:54:00 (69.07 KB, image/png)
2008-05-23 06:22 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2008-05-23 06:22:48 EDT
Description of problem:
Open URL http://www.heute.de and look at the embedded flash clock in
the upper right corner. The time (currently MEST) is wrong, and the
second hand is clipped at 3 o'clock and at 9 o'clock as it advances
over the face.

Version-Release number of selected component (if applicable):
swfdec-mozilla-0.6.0-1.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Open URL http://www.heute.de.
  
Actual results:
Second hand gets clipped at various positions, and the clock shows
the wrong time.

Expected results:
Clock animation is rendered correctly showing the correct time.

Additional info:
This works correctly with gnash-plugin installed and used.
Comment 1 Joachim Frieben 2008-05-23 06:22:48 EDT
Created attachment 306474 [details]
Clock screenshot at 10:54:00
Comment 2 Matěj Cepl 2008-07-22 05:56:00 EDT
Thanks for the bug report.  We have reviewed the information you have provided
above, and there is some additional information we require that will be helpful
in our diagnosis of this issue.

Could we get output of the command

	rpm -qa *xulrun* *firefox* *mozilla* *flash* *plugin*

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 3 Joachim Frieben 2008-07-22 09:37:41 EDT
Issue still present for swfdec-0.6.6-1.fc9 [swfdec-mozilla unchanged
at 0.6.0-1.fc9]. The output of "rpm -qa '*xulrun*' '*firefox*'
'*mozilla*' '*flash*' '*plugin*' '*epiphany*' | sort" on this fully
updated F9/x86_64 system reads:

alsa-plugins-pulseaudio-1.0.16-4.fc9.x86_64
epiphany-2.22.2-3.fc9.x86_64
gstreamer-plugins-base-0.10.19-2.fc9.x86_64
gstreamer-plugins-flumpegdemux-0.10.15-2.fc9.x86_64
gstreamer-plugins-good-0.10.8-7.fc9.x86_64
gstreamer-plugins-pulse-0.9.5-0.5.svn20070924.fc9.x86_64
java-1.6.0-openjdk-plugin-1.6.0.0-0.16.b09.fc9.x86_64
maven-shared-plugin-testing-harness-1.0-4jpp.4.fc9.x86_64
mozilla-filesystem-1.9-2.fc9.x86_64
nspluginwrapper-1.1.0-3.fc9.x86_64
setroubleshoot-plugins-2.0.4-5.fc9.noarch
swfdec-mozilla-0.6.0-1.fc9.x86_64
totem-mozplugin-2.23.2-5.fc9.x86_64
xulrunner-1.9.0.1-1.fc9.x86_64
xulrunner-devel-1.9.0.1-1.fc9.x86_64
Comment 4 Matěj Cepl 2008-07-22 10:22:23 EDT
Sorry, tried once more and I can definitively reproduce this. Both with firefox
and epiphany.
Comment 5 Joachim Frieben 2008-07-31 10:05:34 EDT
After upgrading to swfdec-0.7.4-1.fc10 and to swfdec-mozilla-0.7.4-1.fc10
on a "rawhide" system, the time is now displayed correctly. However, the
second hand does still gets cropped towards 3 and 9 o'clock. Additional
package info: epiphany-2.23.5-2.fc10, xulrunner-1.9.0.1-2.fc10.
Comment 6 Joachim Frieben 2008-09-09 17:49:06 EDT
No improvement with swfdec-0.8.0-1.fc10 and swfdec-mozilla-0.8.0-1.fc10.
Comment 7 Bug Zapper 2008-11-25 21:19:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Joachim Frieben 2009-03-28 13:22:01 EDT
Still broken for current "rawhide":
- swfdec-0.9.2-2.fc11
- swfdec-mozilla-0.9.2-2.fc11
Comment 9 Bug Zapper 2009-06-09 05:35:26 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-04-27 08:04:45 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Bug Zapper 2010-06-28 06:38:04 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.